Go to the first, previous, next, last section, table of contents.

### `field_type_ff`

`field_type_ff()`
  :: Type of the current base field.

return
  integer

- Returns the type of the current base field.
- If no field is set, 0 is returned. If GF(p) is set, 1 is returned. If GF(2^n) is set, 2 is returned.

    [0] field_type_ff();
    0
    [1] setmod_ff(3);
    3
    [2] field_type_ff();
    1
    [3] setmod_ff(x^2+x+1);
    x^2+x+1
    [4] field_type_ff();
    2

`References`
  section `setmod_ff`

Go to the first, previous, next, last section, table of contents.